Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Points

List
GET /highscores/{highscoreId}/points
https://api.uat.relesystest.net/api/v1.4/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.

isManuallyGiven indicates whether a point entry has been manually given or not.
isActive indicates whether a point entry is given after the highscore's last time of point reset.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isActive boolean Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
value integer Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"05a2813a-097e-4ae5-a750-f2dac0e374bc","userId":"676d8bd1-a3a5-4e48-a8ee-f1bd0de41e94","creationDateTime":"2026-06-20T16:15:53.0898395+00:00","description":"Example description 1","isManuallyGiven":true,"isActive":false,"value":10},{"id":"9898e650-811e-45a3-ad90-5e54d97afea6","userId":"5804e1e9-4997-449c-9f14-e12e43a64872","creationDateTime":"2026-06-23T16:15:53.0898395+00:00","description":"Example description 2","isManuallyGiven":false,"isActive":true,"value":25}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isActive boolean      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string